<template>
  <div>
    <image-gallery :list-image="listImage" />
  </div>
</template>

<script>
import ImageGallery from '@/vue/components/Shopee/Product/Image/Gallery.vue';

export default {
  name: 'ShopeeProductImage',
  components: {
    'image-gallery': ImageGallery,
  },
  data() {
    try {
      const listImage = JSON.parse(this.$route.query.source);

      return {
        listImage,
      };
    } catch (error) {
      return {
        listImage: [],
      };
    }
  },
  created() {},
};
</script>
